Check API Key
curl --request GET \
--url https://api.series.hr/basic/check-key/{apiKey}import requests
url = "https://api.series.hr/basic/check-key/{apiKey}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.series.hr/basic/check-key/{apiKey}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Basic
Check API Key
Validate an API key and get its workspace information
GET
/
basic
/
check-key
/
{apiKey}
Check API Key
Verify an API key is valid and get its associated workspace information.
Request
curl https://api.series.hr/basic/check-key/YOUR_API_KEY
Parameters
apiKey(path, required): The API key to validate
Response (Valid Key)
{
"success": true,
"data": {
"valid": true,
"workspaceId": "a7d5339a-5531-4336-99c6-6f3249c9ac20",
"workspaceName": "My Organization",
"status": "active",
"createdAt": "2024-01-01T00:00:00Z",
"lastUsed": "2024-01-05T11:30:00Z",
"rateLimitRemaining": 8542,
"rateLimitReset": "2024-01-05T13:00:00Z"
}
}
Response (Invalid Key)
{
"success": true,
"data": {
"valid": false,
"status": "inactive",
"message": "API key is inactive or invalid"
}
}
Path Parameters
Response
200
API key validation result
⌘I

